
// основные функции 1.1
// 18.11.2009

$(document).ready(function(){

	// определяем браузер
	if($.browser.msie && $.browser.version.substr(0,1)<='6') redirect();
	function redirect() {
		//location.replace('../../browser/index.htm'/*tpa=http://suskburyatia.ru/browser/*/);
        $('body').prepend('<div class="attention_block" id="warning_browser"><h1>Вы используете устаревший браузер!</h1><a href="../../browser/index.htm"/*tpa=http://suskburyatia.ru/browser/*/>Получить более подробную информацию</a> &rarr;</div>');
	}

	// поля с подсказкой
	$('input.onfocus').addClass('title_text');

	$('input.onfocus').focus(function(){
		var value	= $(this).attr('title');
		if($(this).attr('value') == value)
	    	$(this).attr('value', '').removeClass('title_text');
	});

	$('input.onfocus').blur(function(){
		var value	= $(this).attr('title');
		if($(this).attr('value') == '')
	    	$(this).attr('value', value).addClass('title_text');
	});

	// проверка форм

   	$('form.required_form .required').each(function(){
   		var value	= $(this).attr('value');
   		if (value == ''){
   			var value	= $(this).attr('title');
   			$(this).attr('value', value).addClass('required_text');
   		}
   		letsCheck();
   	});

   	$('form.required_form .required').focus(function(){
   		var title	= $(this).attr('title');
   		if($(this).attr('value') == title)
   		$(this).attr('value', '').removeClass('required_text');

   		var button			= $(this).parents('form.required_form').find('input.button');
		var required_check	= $(this).parents('form.required_form').find('.required_text').size();

   		$(this).keyup(function(){
			var required_value	= $(this).attr('value');
			if(required_check == 0 & ($(required_value).size() != 1)) {
				$(button).attr('disabled', '');
			} else {
				$(button).attr('disabled', 'disabled');
			}
   		});
   	});

   	$('form.required_form .required').blur(function(){
   		var title	= $(this).attr('title');
   		if($(this).attr('value') == '')
			$(this).addClass('required_text').attr('value', title);
		letsCheck();
   	});

   	function letsCheck(){
    	$('form.required_form').each(function(){
    		var required_check	= $(this).find('.required_text').size();
    		var button			= $(this).find('input.button');
    		if(required_check == 0) {
				$(button).attr('disabled', '');
			} else {
				$(button).attr('disabled', 'disabled');
			}
    	});
	}

	// отправка формы
	$('#mail_form form').submit(function(){
		$('#mail_form').hide();
		$('#progress').show();
	});

	// дополнительно
	$('#index_more_link').click(function(){
		$('#index_more').toggle();
	});
	
	// карта
	$('#map_list .point .info').hide(); 
	$('#map_list .point .info').each(function(){
		height	= parseFloat($(this).height());
		margin = height + 25;
 		$(this).css({marginTop: '-' + margin + 'px'});
	});
	$('#map_list .point .icon').hover(
		function(){
			$(this).siblings('.info').fadeIn(250);
		}, 
		function(){
			$(this).siblings('.info').hide();
		}
	);

});

